## fonts-homecomputer 1.0

=== Makefile ===
FONTMAKE_OPTIONS=-o variable --keep-overlaps --keep-direction

all: sixtyfour workbench fix-fonts

update-designspace:
	# Export a designspace + UFOs from the Glyphs file
	fontmake -g production/SixtyfourC.glyphs $(FONTMAKE_OPTIONS) --designspace-path master_ufo/Sixtyfour.designspace --output-path temp_out/Sixtyfour.ttf
	fontmake -g production/WorkbenchC.glyphs $(FONTMAKE_OPTIONS) --designspace-path master_ufo/Workbench.designspace --output-path temp_out/Workbench.ttf
	rm -f temp_out/Sixtyfour.ttf
	rm -f temp_out/Workbench.ttf

sixtyfour:
	fontmake -m master_ufo/Sixtyfour.designspace $(FONTMAKE_OPTIONS) --output-path temp_out/Sixtyfour-VF.ttf

workbench:
	fontmake -m master_ufo/Workbench.designspace $(FONTMAKE_OPTIONS) --output-path temp_out/Workbench-VF.ttf

fix-fonts:
	python3 scripts/fix_varfont.py

clean:
	rm -f temp_out/*.ttf

=== debian/changelog ===
fonts-homecomputer (1.0-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Jan 2022 13:25:57 +0100

fonts-homecomputer (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #926394)

 -- Gürkan Myczko <tar@debian.org>  Thu, 20 Jan 2022 20:08:12 +0100

=== debian/control ===
Source: fonts-homecomputer
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), fontmake, vfit
Standards-Version: 4.6.0
Homepage: https://github.com/jenskutilek/homecomputer-fonts
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-homecomputer
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-homecomputer.git
Rules-Requires-Root: no

Package: fonts-sixtyfour
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vector font similar to ROM font of Commodore 64
 Inspired by the article Raster CRT Typography (According to DEC) by Norbert
 Landsteiner, these fonts were reworked on some old pixel versions of the
 Commodore 64 and Amiga Workbench. The author had done years ago to include
 variable font axes for the size of the horizontal scanlines and the amount
 of horizontal bleed of the pixels due to the phosphor latency found in CRT
 displays.
 .
 This is the Commodore 64 font.

Package: fonts-amiga
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vector font similar to ROM font of Amiga Workbench
 Inspired by the article Raster CRT Typography (According to DEC) by Norbert
 Landsteiner, these fonts were reworked on some old pixel versions of the
 Commodore 64 and Amiga Workbench. The author had done years ago to include
 variable font axes for the size of the horizontal scanlines and the amount
 of horizontal bleed of the pixels due to the phosphor latency found in CRT
 displays.
 .
 This is the Amiga Workbench font.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) workbench
	$(MAKE) sixtyfour
	vfit debian/amiga.json temp_out/Workbench-VF.ttf
	vfit debian/sixtyfour.json temp_out/Sixtyfour-VF.ttf

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/jenskutilek/fonts-homecomputer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
